Buf(1)

NAME
buf-registry-sdk-version - Resolve module and plugin reference to a specific Generated SDK version

SYNOPSIS
buf registry sdk version --module= --plugin= [flags]

DESCRIPTION
This command returns the version of the Generated SDK for the given module and plugin. Examples:

Get the version of the eliza module and the go plugin for use with the Go module proxy.
    $ buf registry sdk version --module=buf.build/connectrpc/eliza --plugin=buf.build/protocolbuffers/go
    v1.33.0-20230913231627-233fca715f49.1

Use a specific module version and plugin version.
    $ buf registry sdk version --module=buf.build/connectrpc/eliza:233fca715f49425581ec0a1b660be886 --plugin=buf.build/protocolbuffers/go:v1.32.0
    v1.32.0-20230913231627-233fca715f49.1

OPTIONS
-h, --help[=false]
    help for version

--module=""
    The module reference to resolve

--plugin=""
    The plugin reference to resolve

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-registry-sdk(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra